Bug 216759 - display completely garbled when using Xen kernel and ATI driver
display completely garbled when using Xen kernel and ATI driver
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-11-21 16:05 EST by Armijn Hemel
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-09 11:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (943 bytes, text/plain)
2006-12-29 06:00 EST, Armijn Hemel
no flags Details
Xorg log with 2.6.19-1.2911.fc6xen (60.18 KB, text/plain)
2007-02-18 10:46 EST, Armijn Hemel
no flags Details
Xorg log with 2.6.19-1.2911.fc6 (59.01 KB, text/plain)
2007-02-18 10:46 EST, Armijn Hemel
no flags Details
Xorg log with 2.6.19-1.2911.fc6xen, no /etc/X11/xorg.conf (59.15 KB, text/plain)
2007-02-18 10:54 EST, Armijn Hemel
no flags Details
log of lspci -vvv (11.69 KB, text/plain)
2007-02-18 10:57 EST, Armijn Hemel
no flags Details

  None (edit)
Description Armijn Hemel 2006-11-21 16:05:26 EST
Description of problem:

Since the upgrade this morning to xorg-x11-drv-ati.i386 6.6.3-1.fc6 I get
complete garbage on my screen when booting kernel 2.6.18-1.2849.fc6xen. There
are no problems when I use a non-Xen kernel (2.6.18-1.2849.fc6).

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati.i386 6.6.3-1.fc6

How reproducible:

Steps to Reproduce:
1. Install Xen kernel
2. Install xorg-x11-drv-ati.i386
3. reboot
Actual results:

garbled display (both X *and* console)

Expected results:

Nothing, should work "as normal"

Additional info:

The PC is a Medion MD8080. According to lspci:

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R350 [Radeon 9800
Comment 1 Jason Merrill 2006-12-06 17:30:29 EST
I seem to be having a similar problem.  I just installed FC6 on my Thinkpad T43
(with Radeon Mobility M300) with Xen enabled.  It worked fine until I installed
all the updates.

One of the updates caused my X session to shut down, but then it didn't come
back; instead, the laptop display shut off entirely.  I could still log into the
laptop via ssh, but couldn't figure out how to get the display to turn on again.
 chvt 1 didn't help.

So I rebooted, and as soon as rhgb started up the display shut down again.  So I
disabled rhgb, rebooted, and it booted normally until it started the X server,
at which point I lost the display again.

Reverting the ATI driver to 6.6.2 didn't fix the problem.  Switching to the
non-Xen kernel did.
Comment 2 Armijn Hemel 2006-12-25 06:26:31 EST
With kernel-xen-2.6.18-1.2868.fc6 I still see this problem. With the non-Xen
kernel it works fine.
Comment 3 Matěj Cepl 2006-12-27 16:27:00 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 4 Armijn Hemel 2006-12-29 06:00:35 EST
Created attachment 144529 [details]
Comment 5 Armijn Hemel 2007-02-18 10:45:03 EST
This still happens with 2.6.19-1.2911.fc6xen
Comment 6 Armijn Hemel 2007-02-18 10:46:11 EST
Created attachment 148292 [details]
Xorg log with 2.6.19-1.2911.fc6xen
Comment 7 Armijn Hemel 2007-02-18 10:46:36 EST
Created attachment 148293 [details]
Xorg log with 2.6.19-1.2911.fc6
Comment 8 Armijn Hemel 2007-02-18 10:54:42 EST
Created attachment 148294 [details]
Xorg log with 2.6.19-1.2911.fc6xen, no /etc/X11/xorg.conf
Comment 9 Armijn Hemel 2007-02-18 10:56:06 EST
Running without xorg.conf it has the same problem.
Comment 10 Armijn Hemel 2007-02-18 10:57:44 EST
Created attachment 148295 [details]
log of lspci -vvv

I don't know if the output for lspci will help you, but I have attached it just
in case.
Comment 11 Matěj Cepl 2007-10-05 18:18:10 EDT
Reporter, are you able to reproduce this bug with latest update of your
distribution (meaning, after running 'yum upgrade' with whichever supported
distribution you have -- FC6, F7, or Rawhide)? Please, if you experience this
problem on the up-to-date system, let us now in the comment for this bug, or
whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
Comment 12 Armijn Hemel 2007-10-06 17:16:48 EDT
I can't reproduce it on my Fedora 7 system and I'm not willing to downgrade to
FC6 to investigate this bug :-)

So, feel free to close it.
Comment 13 Adam Jackson 2007-10-09 11:50:39 EDT
Closing per comment #12.

Note You need to log in before you can comment on or make changes to this bug.